#!/usr/bin/env python3
# Basecamp game engine - by Everest Linux Development Group

## GPLv3
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Import modules
import pygame
import sys
import os

'''
Variables
'''
# variables go here
worldx = 960
worldy = 720
fps = 40
ani = 4
BLUE = (25, 25, 200)
BLACK = (23, 23, 23)
WHITE = (254, 254, 254)
main = True
# -----------------
'''
Objects
'''
# python classes and functions go here
# ------------------------------------
'''
Setup
'''
# run-once code goes here
clock = pygame.time.Clock()
pygame.init()
world = pygame.display.set_mode([worldx,worldy])
backdrop = pygame.image.load(os.path.join('stages','Untitled.png'))
backdropbox = world.get_rect()
# -----------------------
'''
Main Loop
'''
# main game loop goes here
while main:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			pygame.quit()
			try:
				sys.exit()
			finally:
				main = False

		if event.type == pygame.KEYDOWN:
			if event.key == ord('q'):
				pygame.quit()
			try:
				sys.exit()
			finally:
				main = False
	world.blit(backdrop, backdropbox)
	pygame.display.flip()
	clock.tick(fps)
# -------------------

